GetEffectivePojoPropertySite (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.runtime.callsite, class: GetEffectivePojoPropertySite

Package org.codehaus.groovy.runtime.callsite

# Class GetEffectivePojoPropertySite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.GetEffectivePojoPropertySite

All Implemented Interfaces:
  `CallSite`

public class GetEffectivePojoPropertySite extends AbstractCallSite

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetEffectivePojoPropertySite(CallSite site, MetaClassImpl metaClass, MetaProperty effective)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final CallSite`
  `acceptGetProperty(Object receiver)`
  `final Object`
  `getProperty(Object receiver)`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetEffectivePojoPropertySite

    public GetEffectivePojoPropertySite(CallSite site, MetaClassImpl metaClass, MetaProperty effective)

- ## Method Details

  - ### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)
    Overrides:
      `acceptGetProperty` in class `AbstractCallSite`

  - ### getProperty

    public final Object getProperty(Object receiver) throws Throwable
    Specified by:
      `getProperty` in interface `CallSite`
    Overrides:
      `getProperty` in class `AbstractCallSite`
    Throws:
      `Throwable`